#include "Widget.h"
#include "ui_Widget.h"

Widget::Widget(QWidget *parent) :
	QWidget(parent),
	ui(new Ui::Widget)
{
	ui->setupUi(this);

	setWindowFlag(Qt::WindowStaysOnTopHint, true);

	m_menu = new QMenu(this);

	m_menu->addAction("Action 0");
	m_menu->addAction("Action 1");
	m_menu->addAction("Action 2");
	m_menu->addAction("Action 3");
	m_menu->addAction("Action 4");


	connect(this, &QWidget::customContextMenuRequested, this, &Widget::onCustomContextMenuRequested);
}

Widget::~Widget()
{
	delete ui;
}

void Widget::onCustomContextMenuRequested(const QPoint &pos)
{
	m_menu->exec(mapToGlobal( pos));
}
