#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <QMenu>

namespace Ui {
class Widget;
}

class Widget : public QWidget
{
	Q_OBJECT

public:
	explicit Widget(QWidget *parent = 0);
	~Widget();

private slots:
	void onCustomContextMenuRequested(const QPoint &pos);

private:
	Ui::Widget *ui;

	QMenu* m_menu = nullptr;
};

#endif // WIDGET_H
